using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetablecommandaddactdate : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<DateTime>(
                name: "ActEndDate",
                table: "Commands",
                type: "datetime(6)",
                nullable: true,
                comment: "วันที่สิ้นสุดการรักษาการแทน");

            migrationBuilder.AddColumn<DateTime>(
                name: "ActStartDate",
                table: "Commands",
                type: "datetime(6)",
                nullable: true,
                comment: "วันที่เริ่มรักษาการแทน");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ActEndDate",
                table: "Commands");

            migrationBuilder.DropColumn(
                name: "ActStartDate",
                table: "Commands");
        }
    }
}
